%define		pkg	npm-registry-client
Summary:	Client for the npm registry
Name:		nodejs-%{pkg}
Version:	0.4.4
Release:	2
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/isaacs/npm-registry-client
# download from https://github.com/isaacs/%{pkg}/tarball/%%{version}
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	36acb8549bbceb4a84fa9d81c1aa39b6
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-chownr < 1
Requires:	nodejs-graceful-fs < 2.1.0
Requires:	nodejs-graceful-fs >= 2.0.0
Requires:	nodejs-mkdirp < 0.4.0
Requires:	nodejs-mkdirp >= 0.3.3
Requires:	nodejs-request < 3
Requires:	nodejs-request >= 2.25.0
Requires:	nodejs-retry = 0.6.0
Requires:	nodejs-rimraf < 3
Requires:	nodejs-rimraf >= 2
Requires:	nodejs-semver < 3.0.0
Requires:	nodejs-semver >= 2.2.1
Requires:	nodejs-slide < 1.2.0
Requires:	nodejs-slide >= 1.1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client for the npm registry.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json index.js lib $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Mar 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-npm-registry-client.git;a=log;h=master

* Thu Mar 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> dcf33af
- correct nodejs-retry version; rel. 2

* Sat Mar 08 2014 Łukasz Kieś <kiesiu@pld-linux.org> 33e2d1f
- updated to 0.4.4
- updated R:

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> d0fba5c
- v0.2.18

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 61a16f5
- v0.2.17

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> b045e90
- v0.2.13

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 8ebe339
- Initial commit

